www-apache-bugdb mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From m...@hyperreal.org
Subject Re: os-linux/1975: From a html I call on a perl script that itself does system "hardware-write" and requires ioperm to give permission to use the hardware ports but it fails. I have been doing this for years under NCSA httpd and wanted to move over to apac
Date Sun, 22 Mar 1998 16:11:16 GMT
Synopsis: From a html I call on a perl script that itself does system "hardware-write" and
requires ioperm to give permission to use the hardware ports but it fails. I have been doing
this for years under NCSA httpd and wanted to move over to apac

State-Changed-From-To: open-closed
State-Changed-By: marc
State-Changed-When: Sun Mar 22 08:11:15 PST 1998
State-Changed-Why:
Apache is doing nothing special related to this.  Check
the ioperm man page and you should find it can only be
called by root.  My only guess is that for some broken
reason, you had NCSA configured to run as root.  This is
a huge security hole and leaves your box wide open to
root compromises.

If you want it to work, you should do something to make
the code run as root; making it setuid would work if you
are sure it can't be used by someone to compromise security.

This is not an Apache problem.


Mime
View raw message